<?php


/* *** ISPCube ****
 * guia.ispcube.com
 * 2020
 * 
 * 
 * Solicitar al ISP CLIENTE que abra una regla de nat (en caso de ser necesario) al port 8080
 * 
 * Solicitar al ISP CLIENTE o a ISPCUBE (support@ispcube.com) los siguiente datos:
 * 
 * TITULO DEL MAIL: Solicitud de Usuario y Token para APISPCUBE CLIENTE XXXX
 * 
 * 
 * Usted recibira las siguientes credenciales que podra reemplazar en el siguiente cliente php de ejemplo
 * 
 * **IP**: Direccion ip de acceso.
 * **USER**: Usuario de Acceso.
 * **PASS**: Password de Acceso
 * **APIKEY**: APIKEY
 * **APITOKEN**: APITOKEN
 * 
 * En este ejemplo se consulta listado de cobranzas limitando en 500 registros y entre dos fechas.
 * 
 */





$cIp='1.2.3.4';
$cUser='api';
$cPass='apipass';
$apikey='apikey';
$apitoken='apitoken';

/* Codigo de cliente estandar de ispcube son 6 digitos. DEBE IR COMPLETO con Ceros a la izquierda (leading zeros)
 * ej. Cliente 1024 -> 001024
 */


$cURLSend="http://" . $cIp . ":8080/index.php/mercadopago/button?idcustomer=005298&price=100.20" ;

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_PORT => "8080",
  CURLOPT_URL => $cURLSend,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_POSTFIELDS => "{\n\t\"user\": \"$cUser\",\n\t\"password\": \"$cPass\"\n\t\n\t\n}",
  CURLOPT_HTTPHEADER => array(
    "api-key: $apikey",
    "api-token: $apitoken",
    "cache-control: no-cache",
    "content-type: application/json",
    "postman-token: bac197e5-a9e7-a6f6-e7ba-8eae1f8d6a91"
  ),
));

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
    echo "cURL Error #:" . $err;
} else {
    echo  $response;
    //var_dump(json_decode($response));
    //var_dump($response);
}